[
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Overview",
		"uri":"nat_pro_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"1"
	},
	{
		"desc":"The NAT Gateway service provides network address translation (NAT) with 20 Gbit/s of bandwidth for Elastic Cloud Servers (ECSs) and Bare Metal Servers (BMSs) in a Virtual",
		"product_code":"nat",
		"title":"What Is NAT Gateway?",
		"uri":"en-us_topic_0086739762.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"2"
	},
	{
		"desc":"The NAT Gateway service has the following highlights:FlexibilityA NAT gateway can be deployed flexibly across subnets and AZs. Any fault in a single AZ does not affect th",
		"product_code":"nat",
		"title":"Product Advantages",
		"uri":"nat_pro_0001.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"3"
	},
	{
		"desc":"If your servers in a VPC require Internet access, you can use SNAT to let the servers share one or more EIPs to access the Internet without exposing their IP addresses. I",
		"product_code":"nat",
		"title":"Application Scenarios",
		"uri":"nat_pro_0002.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"4"
	},
	{
		"desc":"A NAT gateway type specifies the maximum number of SNAT connections supported by a NAT gateway.An SNAT connection consists of the source IP address, source port, destinat",
		"product_code":"nat",
		"title":"NAT Gateway Types",
		"uri":"en-us_topic_0086739763.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"5"
	},
	{
		"desc":"When using a NAT gateway:Multiple rules for one NAT gateway can use the same EIP, but the rules for different NAT gateways must use different EIPs.Each VPC can only have ",
		"product_code":"nat",
		"title":"Notes and Constraints",
		"uri":"en-us_topic_0086739750.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"6"
	},
	{
		"desc":"A region and availability zone (AZ) identify the location of a data center. You can create resources in a specific region and AZ.A region is a physical data center, which",
		"product_code":"nat",
		"title":"Region and AZ",
		"uri":"nat_az_0000.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"7"
	},
	{
		"desc":"An EIP can be directly accessed over the Internet. A private IP address is an IP address on a local area network (LAN) and cannot be routed through the Internet.An EIP is",
		"product_code":"nat",
		"title":"Basic Concepts",
		"uri":"nat_pro_0004.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"8"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Getting Started",
		"uri":"nat_qs_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"9"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Using SNAT to Access the Internet",
		"uri":"nat_qs_0001.html",
		"doc_type":"usermanual",
		"p_code":"9",
		"code":"10"
	},
	{
		"desc":"If servers (ECSs and BMSs) without EIPs bound need to access the Internet, the servers can share one or more EIPs to access the Internet through a NAT gateway. This metho",
		"product_code":"nat",
		"title":"Overview",
		"uri":"en-us_topic_0087895790.html",
		"doc_type":"usermanual",
		"p_code":"10",
		"code":"11"
	},
	{
		"desc":"Assign an EIP and enable your servers in a VPC to access the Internet through a NAT gateway by sharing the EIP.For details, see the Elastic IP User Guide. After you assig",
		"product_code":"nat",
		"title":"Step 1: Assign an EIP",
		"uri":"nat_qs_0002.html",
		"doc_type":"usermanual",
		"p_code":"10",
		"code":"12"
	},
	{
		"desc":"This section guides you on how to create a NAT gateway to enable your servers to access the Internet or to provide services available from the Internet.When creating a NA",
		"product_code":"nat",
		"title":"Step 2: Create a NAT Gateway",
		"uri":"nat_qs_0003.html",
		"doc_type":"usermanual",
		"p_code":"10",
		"code":"13"
	},
	{
		"desc":"After a NAT gateway is created, add SNAT rules. With an SNAT rule, your servers in a specified subnet can access the Internet by sharing the same EIP.Each SNAT rule is co",
		"product_code":"nat",
		"title":"Step 3: Add an SNAT Rule",
		"uri":"nat_qs_0004.html",
		"doc_type":"usermanual",
		"p_code":"10",
		"code":"14"
	},
	{
		"desc":"After you add an SNAT rule to a NAT gateway, you can verify that the SNAT rule has been added successfully.An SNAT rule has been added.Log in to the management console.Cl",
		"product_code":"nat",
		"title":"Step 4: Verify the Result",
		"uri":"nat_qs_0005.html",
		"doc_type":"usermanual",
		"p_code":"10",
		"code":"15"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Using DNAT to Provide Services Accessible from the Internet",
		"uri":"nat_qs_0006.html",
		"doc_type":"usermanual",
		"p_code":"9",
		"code":"16"
	},
	{
		"desc":"When one or more servers (ECSs and BMSs) in a VPC are required to provide services accessible from the Internet, you can add DNAT rules. Figure 1 illustrates the process.",
		"product_code":"nat",
		"title":"Overview",
		"uri":"nat_qs_0007.html",
		"doc_type":"usermanual",
		"p_code":"16",
		"code":"17"
	},
	{
		"desc":"Assign an EIP and enable servers in a VPC to provide services accessible from the Internet using a NAT gateway by sharing the EIP.For details, see the Elastic IP User Gui",
		"product_code":"nat",
		"title":"Step 1: Assign an EIP",
		"uri":"nat_qs_0008.html",
		"doc_type":"usermanual",
		"p_code":"16",
		"code":"18"
	},
	{
		"desc":"This section guides you on how to create a NAT gateway to enable your servers to access the Internet or to provide services available from the Internet.When creating a NA",
		"product_code":"nat",
		"title":"Step 2: Create a NAT Gateway",
		"uri":"nat_qs_0009.html",
		"doc_type":"usermanual",
		"p_code":"16",
		"code":"19"
	},
	{
		"desc":"After a NAT gateway is created, you can add DNAT rules to allow servers in your VPC to provide services accessible from the Internet.You can configure a DNAT rule for eac",
		"product_code":"nat",
		"title":"Step 3: Add a DNAT Rule",
		"uri":"nat_qs_0010.html",
		"doc_type":"usermanual",
		"p_code":"16",
		"code":"20"
	},
	{
		"desc":"After you add a DNAT rule to a NAT gateway, you can verify that the DNAT rule has been added successfully.A DNAT rule has been added.Log in to the management console.Clic",
		"product_code":"nat",
		"title":"Step 4: Verify the Result",
		"uri":"nat_qs_0011.html",
		"doc_type":"usermanual",
		"p_code":"16",
		"code":"21"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Using SNAT and DNAT Rules to Allow On-premises Servers to Communicate Over the Internet",
		"uri":"nat_qs_0012.html",
		"doc_type":"usermanual",
		"p_code":"9",
		"code":"22"
	},
	{
		"desc":"If servers in your data center need to access the Internet or to provide services accessible from the Internet, NAT Gateway provides you with high-quality network service",
		"product_code":"nat",
		"title":"Overview",
		"uri":"nat_qs_0013.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"23"
	},
	{
		"desc":"Create a Direct Connect connection for connecting a VPC to your data center before enabling your servers in the data center to access the Internet or to provide services ",
		"product_code":"nat",
		"title":"Step 1: Create a Direct Connect Connection",
		"uri":"nat_qs_0014.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"24"
	},
	{
		"desc":"You can assign an EIP, which can work together with a NAT gateway to allow servers that are connected to public cloud system using Direct Connect or VPN to access the Int",
		"product_code":"nat",
		"title":"Step 2: Assign an EIP",
		"uri":"nat_qs_0015.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"25"
	},
	{
		"desc":"This section guides you on how to create a NAT gateway to enable your servers to access the Internet or to provide services available from the Internet.When creating a NA",
		"product_code":"nat",
		"title":"Step 3: Create a NAT Gateway",
		"uri":"nat_qs_0016.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"26"
	},
	{
		"desc":"After a NAT gateway is created, you can add SNAT rules for it. With SNAT rules, servers that are connected to a VPC using Direct Connect can access the Internet by sharin",
		"product_code":"nat",
		"title":"Step 4: Add an SNAT Rule",
		"uri":"nat_qs_0017.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"27"
	},
	{
		"desc":"After a NAT gateway is created, you can add DNAT rules to allow servers in your on-premises data center to provide services accessible from the Internet.You can configure",
		"product_code":"nat",
		"title":"Step 5: Add a DNAT Rule",
		"uri":"nat_qs_0018.html",
		"doc_type":"usermanual",
		"p_code":"22",
		"code":"28"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Managing NAT Gateways",
		"uri":"nat_nat_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"29"
	},
	{
		"desc":"This section guides you on how to create a NAT gateway to enable your servers to access the Internet or to provide services available from the Internet.When creating a NA",
		"product_code":"nat",
		"title":"Creating a NAT Gateway",
		"uri":"en-us_topic_0150270259.html",
		"doc_type":"usermanual",
		"p_code":"29",
		"code":"30"
	},
	{
		"desc":"After a NAT gateway is created, you can view details about the NAT gateway.A NAT gateway has been created.Log in to the management console.Click  in the upper left corner",
		"product_code":"nat",
		"title":"Viewing a NAT Gateway",
		"uri":"nat_nat_0001.html",
		"doc_type":"usermanual",
		"p_code":"29",
		"code":"31"
	},
	{
		"desc":"This section describes how to modify the name, type, or description of a NAT gateway.Increasing the size of the NAT gateway type does not affect services, but if you swit",
		"product_code":"nat",
		"title":"Modifying a NAT Gateway",
		"uri":"nat_01_0001.html",
		"doc_type":"usermanual",
		"p_code":"29",
		"code":"32"
	},
	{
		"desc":"You can delete NAT gateways to release resources, saving costs.All SNAT rules created on the NAT gateway have been deleted.Log in to the management console.Click  in the ",
		"product_code":"nat",
		"title":"Deleting a NAT Gateway",
		"uri":"nat_nat_0002.html",
		"doc_type":"usermanual",
		"p_code":"29",
		"code":"33"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Managing SNAT Rules",
		"uri":"nat_snat_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"34"
	},
	{
		"desc":"After a NAT gateway is created, add SNAT rules. With the SNAT rule, servers in a VPC subnet or servers that are connected to a VPC through Direct Connect or VPN can acces",
		"product_code":"nat",
		"title":"Adding an SNAT Rule",
		"uri":"en-us_topic_0127489529.html",
		"doc_type":"usermanual",
		"p_code":"34",
		"code":"35"
	},
	{
		"desc":"After you add an SNAT rule to a NAT gateway, you can view the details about the SNAT rule.An SNAT rule has been added.Log in to the management console.Click  in the upper",
		"product_code":"nat",
		"title":"Viewing an SNAT Rule",
		"uri":"nat_snat_0001.html",
		"doc_type":"usermanual",
		"p_code":"34",
		"code":"36"
	},
	{
		"desc":"Delete the SNAT rules that you no longer need.An SNAT rule has been added for the NAT gateway.Log in to the management console.Click  in the upper left corner and select ",
		"product_code":"nat",
		"title":"Deleting an SNAT Rule",
		"uri":"nat_snat_0003.html",
		"doc_type":"usermanual",
		"p_code":"34",
		"code":"37"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Managing DNAT Rules",
		"uri":"nat_dnat_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"38"
	},
	{
		"desc":"After a NAT gateway is created, you can add DNAT rules to allow servers in your VPC to provide services accessible from the Internet.You can configure only one DNAT rule ",
		"product_code":"nat",
		"title":"Adding a DNAT Rule",
		"uri":"en-us_topic_0127489530.html",
		"doc_type":"usermanual",
		"p_code":"38",
		"code":"39"
	},
	{
		"desc":"After you add a DNAT rule to a NAT gateway, you can view the details about the DNAT rule.A DNAT rule has been added.Log in to the management console.Click  in the upper l",
		"product_code":"nat",
		"title":"Viewing a DNAT Rule",
		"uri":"nat_dnat_0001.html",
		"doc_type":"usermanual",
		"p_code":"38",
		"code":"40"
	},
	{
		"desc":"Delete a DNAT rule that you no longer need.A DNAT rule has been added for the NAT gateway.Log in to the management console.Click  in the upper left corner and select the ",
		"product_code":"nat",
		"title":"Deleting a DNAT Rule",
		"uri":"nat_dnat_0003.html",
		"doc_type":"usermanual",
		"p_code":"38",
		"code":"41"
	},
	{
		"desc":"A NAT gateway tag identifies the NAT gateway. Tags can be added to NAT gateways to facilitate NAT gateway identification and administration. You can add a tag to a NAT ga",
		"product_code":"nat",
		"title":"Managing NAT Gateway Tags",
		"uri":"nat_tag_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"42"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Monitoring Management",
		"uri":"nat_ces_0001.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"43"
	},
	{
		"desc":"This section describes metrics reported by NAT Gateway to Cloud Eye as well as their namespaces, monitoring metrics, and dimensions. You can use the management console or",
		"product_code":"nat",
		"title":"Supported Metrics",
		"uri":"nat_ces_0002.html",
		"doc_type":"usermanual",
		"p_code":"43",
		"code":"44"
	},
	{
		"desc":"You can set NAT gateway alarm rules to customize the monitored objects and notification policies. Then, you can learn NAT gateway running status in a timely manner.Log in",
		"product_code":"nat",
		"title":"Creating Alarm Rules",
		"uri":"en-us_topic_0113772081.html",
		"doc_type":"usermanual",
		"p_code":"43",
		"code":"45"
	},
	{
		"desc":"The NAT gateway is running properly and SNAT rules have been created.It can take a period of time to obtain and transfer the monitoring data. Therefore, wait for a while ",
		"product_code":"nat",
		"title":"Viewing Metrics",
		"uri":"nat_ces_0003.html",
		"doc_type":"usermanual",
		"p_code":"43",
		"code":"46"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"FAQs",
		"uri":"nat_faq_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"47"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"NAT Gateway",
		"uri":"nat_faq_0100.html",
		"doc_type":"usermanual",
		"p_code":"47",
		"code":"48"
	},
	{
		"desc":"A VPC is a secure, isolated, logical network environment.A NAT gateway enables ECSs in the VPC to access the Internet.EIP is a service that provides valid static IP addre",
		"product_code":"nat",
		"title":"What Is the Relationship Between a VPC, NAT Gateway, EIP Bandwidth, and ECS?",
		"uri":"nat_faq_0003.html",
		"doc_type":"usermanual",
		"p_code":"48",
		"code":"49"
	},
	{
		"desc":"The backend of a NAT gateway supports automatic disaster recovery through hot standby, thereby reducing risks and improving availability.",
		"product_code":"nat",
		"title":"How Does A NAT Gateway Offer High Availability?",
		"uri":"nat_faq_0004.html",
		"doc_type":"usermanual",
		"p_code":"48",
		"code":"50"
	},
	{
		"desc":"A NAT gateway provides SNAT and DNAT, so multiple ECSs can share an EIP.An ECS can also have an EIP bound to it. The EIP does not have to be shared.If both SNAT and EIP a",
		"product_code":"nat",
		"title":"What Are the Differences Between Using a NAT Gateway and Using an EIP for an ECS?",
		"uri":"nat_faq_0013.html",
		"doc_type":"usermanual",
		"p_code":"48",
		"code":"51"
	},
	{
		"desc":"Quotas are enforced for service resources on the platform to prevent unforeseen spikes in resource usage. Quotas can limit the number or amount of resources available to ",
		"product_code":"nat",
		"title":"What Is the Quota of the NAT Gateway?",
		"uri":"nat_faq_0010.html",
		"doc_type":"usermanual",
		"p_code":"48",
		"code":"52"
	},
	{
		"desc":"NAT gateways can be updated. SNAT rules cannot be updated.",
		"product_code":"nat",
		"title":"Do the NAT Gateway and SNAT Rule Support the Update Operation?",
		"uri":"nat_faq_0005.html",
		"doc_type":"usermanual",
		"p_code":"48",
		"code":"53"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"SNAT",
		"uri":"nat_faq_0200.html",
		"doc_type":"usermanual",
		"p_code":"47",
		"code":"54"
	},
	{
		"desc":"Besides requiring services provided by the system, some ECSs also need to access the Internet to obtain information or download software. However, assigning a public IP a",
		"product_code":"nat",
		"title":"Why Is SNAT Used?",
		"uri":"nat_faq_001.html",
		"doc_type":"usermanual",
		"p_code":"54",
		"code":"55"
	},
	{
		"desc":"An SNAT connection consists of the source IP address, source port, destination IP address, destination port, and transmission-layer protocol. These five elements identify",
		"product_code":"nat",
		"title":"What Are SNAT Connections?",
		"uri":"nat_faq_0002.html",
		"doc_type":"usermanual",
		"p_code":"54",
		"code":"56"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"DNAT",
		"uri":"nat_faq_0300.html",
		"doc_type":"usermanual",
		"p_code":"47",
		"code":"57"
	},
	{
		"desc":"DNAT enables servers in a VPC to share an EIP to provide services accessible from the Internet through IP address mapping or port mapping.",
		"product_code":"nat",
		"title":"Why Is DNAT Used?",
		"uri":"nat_faq_0006.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"58"
	},
	{
		"desc":"You can modify DNAT rules.",
		"product_code":"nat",
		"title":"Can I Modify DNAT Rules?",
		"uri":"nat_faq_0007.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"59"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"nat",
		"title":"Change History",
		"uri":"nat_his_0001.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"60"
	},
	{
		"desc":"For details about the terms involved in this document, see Glossary.",
		"product_code":"nat",
		"title":"Glossary",
		"uri":"nat_gls_0000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"61"
	}
]